/***************************************************************************

	pic_delay.c


*/

#include <p30f2012.h>
#include	"pic_delay.h"

//#define	FCY_2948	// 30Mips
#define	FCY_1474		// 15Mips


/*--------------------------------------------------------------------------
	delay routines
--------------------------------------------------------------------------*/

void delay_ms(uint t)
{
  uint i, j;

  for (i=0; i<t; i++) {
    for (j=0; j<100; j++) {
#if defined(FCY_2948)
	  asm("repeat #286");  // for 29.48MHz clock
#elif defined(FCY_1474)
	  asm("repeat #143");	// for 14.74MHz clock
#endif
      asm("nop");
    }
  }  
}


void delay_10us(uint t)
{
  uint i;

  for (i=0; i<t; i++) {
#if defined(FCY_2948)
    asm("repeat #284");  // for 29.48MHz clock
#elif defined(FCY_1474)
	asm("repeat #142");	// for 14.74MHz clock
#endif
    asm("nop");
  }  
}


void delay_us(uint t)
{
	uint i;

	for(i=0; i < t; i++){
#if defined(FCY_2948)
		asm("repeat #29");
#elif defined(FCY_1474)
		asm("repeat #14");	// for 14.74MHz clock
#endif
		asm("nop");
	}
}

/*** end of pic_delay.c ****************************************************/
