/******************************************************************

	File: pic_print.h

	Copyright (C) 2012 S.Suwa <www.suwa-koubou.jp>

*/

#ifndef	__PIC_PRINT_H
#define	__PIC_PRINT_H

extern	void	myprintf(char *format, ...);
extern	void	mysprintf(char *strbuf, char *format, ...);
extern	int		atoi(char *s);	// ascii to integer
extern	int		htoi(char *s);	// hex ascii to integer

// %d
extern	char *int_to_decimal(char *buff, int d);
// %u
extern	char *uint_to_decimal(char *buff, unsigned int d);
// %nd
extern	char *int_to_ndecimal(char *buff, int n, int d);
// %nu
extern	char *uint_to_ndecimal(char *buff, int n, unsigned int d);
// %0nd
extern	char *int_to_0ndecimal(char *buff, int n, int d);
// %0nu
extern	char *uint_to_0ndecimal(char *buff, int n, unsigned int d);
// %ld
extern	char *long_to_decimal(char *buff, long d);
// %lu
extern	char *ulong_to_decimal(char *buff, unsigned long d);
// %X
extern	char *int_to_hex(char *buff, unsigned int d);
// %02X
extern	char *int_to_2hex(char *buff, unsigned int d);
// %04X
extern	char *int_to_4hex(char *buff, unsigned int d);


#endif
/*** end of pic_print.h ******************************************/
